DROP PROCEDURE ConfirmarTurno_Proc
GO
CREATE PROCEDURE ConfirmarTurno_Proc
( @TURNO	TINYINT,
  @FECHA	UD_FECHA
)
AS
BEGIN
	BEGIN TRAN

	UPDATE OP_TURNVSSIDE
	SET STATUS=1
	WHERE DATEPROCE=@FECHA AND NUMBERTURN=@TURNO

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK
		RAISERROR 20000 'Error Actualizando o no se encontro registros'
		RETURN(1)
	END

	SELECT * FROM OP_TURNVSSIDE
	COMMIT TRAN
	RETURN(0)
END 

SELECT * FROM OP_TURNVSSIDE